{% extends '::base.html.twig' %} 

{% block title %}MDR - Reenvio SAP {% endblock %}

{% block stylesheets %}
	<link rel="stylesheet" type="text/css" href="{{ asset('bundles/mdratc/css/style.css') }}">
	<link rel="stylesheet" type="text/css" href="{{ asset('vendor/css/bootstrap.min.css') }}">
	<link rel="stylesheet" type="text/css" href="{{ asset('bundles/mdratc/css/style/icons.css') }}">
	<link rel="stylesheet" type="text/css" href="{{ asset('bundles/mdrcobranza/css/bootstrap-editable.css') }}">
	<link rel="stylesheet" type="text/css" href="{{ asset('vendor/css/bootstrap-theme.min.css') }}"> 
  	<link rel="stylesheet" type="text/css" href="{{ asset('vendor/css/jquery.dataTables.css') }}">
  	<link href="{{ asset('bundles/mdrcobranza/images/logoMDR.png') }}"  rel="icon" type="image/x-icon" />
  	<script>
	//Imagen SAP
    var img_SAP = new Image();
    img_SAP.src = "{{ asset('vendor/img/sap-logo.png') }}";
    //Imagen MDR
    var img_MDR = new Image();
    img_MDR.src = "{{ asset('bundles/mdrcobranza/images/logoMDR.png') }}";
</script> 
{% endblock %}
{% block body %}
<!--BARRA DE MENUS-->
	<div class="container" style="width:97%; margin-top:15px;">
		



      <div class="at_crcobranza">
			 <div id="bt_opmenu">
      				{{form(form_rec)}}
      		</div>
      	<div class="table-responsive">	
      		<table id='tbl_operaciones' class="table table-bordered">
				<thead class='head_table'>
					<tr>
						<td style="width: 26px;"><span class="icon-check-square" id="icons"></span></td>
						<td style="width: 100px;">Pedido</td>
						<td style="width: 100px;">Tipo de Pago</td>
						<td style="width: 100px;">Fecha</td>
						<td style="width: 100px;">Gastos de Envio</td>
						<td style="width: 100px;">Subtotal</td>
						<td style="width: 100px;">Total</td>
					</tr>
				</thead>
				<tbody id="body_tbl_operaciones" style="background: white;">
					
				</tbody>
			</table>	
		</div>

		<div id="btns_oper">
		<button type="button" onclick="marcar(':checkbox')" class="btn btn-primary" id="btn_all"><span class="icon-checked" id="icon_btn"></span>  Marcar todos</button>
		<button type="button" onclick="desmarcar(':checkbox')" class="btn btn-danger" id="btn_none"> <span class="icon-marquee" id="icon_btn"></span>  Desmarcar</button>
		<button type="button" class="btn btn-success" onclick="sendSAP();" id="btn_wscobro"><img style="width: 37px;" src="{{ asset('vendor/img/sap-logo.png') }}">Enviar</button>
		</div>	
      </div>

<!--DE OPERACIONES -->
<div class="modal fade modal_base" id="popup_operacion" tabindex="-1" role="dialog" aria-labelledby="myModalLabel" aria-hidden="true">
  <div class="modal-dialog">
    <div class="modal-content">
      <div class="modal-header">
        <button type="button" class="close" data-dismiss="modal"><span aria-hidden="true">&times;</span><span class="sr-only">Close</span></button>
        <h3 class="modal-title" id="title_operacion"></h3>
      </div>
      <div class="modal-body" id="body_operacion">
        
      </div>
      <div class="modal-footer" id="footer_operacion">
            <button type="button" class="btn btn-default" data-dismiss="modal" id="btn_cancel_sup" onclick="reloadPedidos();">Cerrar</button>
      </div>
    </div>
  </div>
</div>

<!--DETALLE PEDIDO -->
<div class="modal fade modal_base" id="popup_detalle" tabindex="-1" role="dialog" aria-labelledby="myModalLabel" aria-hidden="true">
  <div class="modal-dialog">
    <div class="modal-content">
      <div class="modal-header">
        <button type="button" class="close" data-dismiss="modal"><span aria-hidden="true">&times;</span><span class="sr-only">Close</span></button>
        <h3 class="modal-title" id="title_detalle"></h3>
      </div>
      <div class="modal-body" id="body_detalle">
        
      </div>
      <div class="modal-footer" id="footer_operacion">
            <button type="button" class="btn btn-default" data-dismiss="modal" id="btn_cancel_sup">Cerrar</button>
      </div>
    </div>
  </div>
</div>

	</div>
{% endblock %}
{% block javascripts %}
  	<script type="text/javascript" src="{{ asset('vendor/js/bootstrap.min.js') }}"></script>
	<script type="text/javascript" src="{{ asset('vendor/js/underscore.js') }}"></script>
  	<script type="text/javascript" src="{{ asset('bundles/mdrcobranza/js/bootstrap-editable.min.js') }}"></script>
  	<script type="text/javascript" src="{{ asset('vendor/js/blockui.js') }}"></script>
	<!--TABLE API -->
	<script src="{{ asset('vendor/js/DataTablesJQuery.js') }}"></script>
	<!--**********-->
	<script>var PedidosSAPJSON = {{ recuperados|json_encode()|raw }};</script>	
	<script type="text/javascript" src="{{ asset('bundles/mdratc/js/tools_prec.js') }}"></script>

    <script>

    $( "#form_fechaInicio" ).datepicker({
      format:   "dd/mm/yyyy",
      changeMonth: true,
      changeYear: true,
      yearRange: "1900:2050",
    });

    $( "#form_fechaFin" ).datepicker({
      format:   "dd/mm/yyyy",
      changeMonth: true,
      changeYear: true,
      yearRange: "1900:2050",
    });

    </script>
	
{% endblock %}